aboutsummaryrefslogtreecommitdiffstats
path: root/main/chrony/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-07-04 07:08:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-07-04 07:09:02 +0000
commit62a9ea4aaff7f6fdf87a1230f20cc022101f77aa (patch)
tree22346598e7df850665c2f22ba7ca12bc5179e1b7 /main/chrony/APKBUILD
parent7e66bf2685f0a64d5b240ea72e897f5cdb60795e (diff)
downloadaports-62a9ea4aaff7f6fdf87a1230f20cc022101f77aa.tar.gz
aports-62a9ea4aaff7f6fdf87a1230f20cc022101f77aa.tar.bz2
aports-62a9ea4aaff7f6fdf87a1230f20cc022101f77aa.tar.xz
main/chrony: upgrade to 1.30
Diffstat (limited to 'main/chrony/APKBUILD')
-rw-r--r--main/chrony/APKBUILD21
1 files changed, 10 insertions, 11 deletions
diff --git a/main/chrony/APKBUILD b/main/chrony/APKBUILD
index 8702ea0d38..d8ed34a671 100644
--- a/main/chrony/APKBUILD
+++ b/main/chrony/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=chrony
-pkgver=1.29.1
+pkgver=1.30
pkgrel=0
_ver=${pkgver/_/-}
pkgdesc="NTP client and server programs"
@@ -12,7 +12,7 @@ makedepends="texinfo"
subpackages="$pkgname-doc"
source="http://download.tuxfamily.org/chrony/$pkgname-$_ver.tar.gz
0001-uclibc-res-do-not-call-res_init.patch
- 0002-ntp_sources-decrease-maximum-re-resolving-delay.patch
+ max_resolve_interval.patch
chronyd.confd
chronyd.initd
chrony.logrotate
@@ -28,7 +28,7 @@ prepare() {
# (See https://github.com/ago/pps-tools)
mkdir -p "$_builddir"/pps-tools/sys
cp timepps.h "$_builddir"/pps-tools/sys/
-
+
cd "$_builddir"
for i in $source; do
@@ -37,8 +37,7 @@ prepare() {
esac
done
sed -i "s:/etc/chrony:/etc/chrony/chrony:g" \
- chrony*.[158] faq.txt || die "sed failed"
-
+ chrony*.[158] || return 1
}
@@ -70,25 +69,25 @@ package() {
touch "$pkgdir"/etc/chrony/chrony.drift
install -m644 "$srcdir"/chrony.conf "$pkgdir"/etc/chrony/chrony.conf
}
-md5sums="9d49eadac5eb49daec8cc3d92a869b0c chrony-1.29.1.tar.gz
+md5sums="4f0767528a51af44abd512699c5cf194 chrony-1.30.tar.gz
c479553205e2dfe1409c7924b0d0f81b 0001-uclibc-res-do-not-call-res_init.patch
-1f72a2805160dfa653866e0963256f7f 0002-ntp_sources-decrease-maximum-re-resolving-delay.patch
+f44f29a3d128267480c86f37757d795e max_resolve_interval.patch
d62521b4c8837e15262c47ac88359307 chronyd.confd
f0c73948224cc1706cf9c94e4d2d7b69 chronyd.initd
468eaf2b5465d60b3ee021ce3f948ab1 chrony.logrotate
46f42c52953d398ca44d6baa449618d7 chrony.conf
28f6835098a216f4a620f9218d15b5b8 timepps.h"
-sha256sums="658c9bb4d8c8d8ec7d0908429aa266e5f8413ba86bd4acbfd2f9669f6065af27 chrony-1.29.1.tar.gz
+sha256sums="43aca956a0beb2c4847feffc847fec2c429ee9afb6252c7a499bbd68933046dd chrony-1.30.tar.gz
4aec957ff59adbba1058e5376c73fe74e1e6fb511d9ca6cb5b6e74fca8c75a9f 0001-uclibc-res-do-not-call-res_init.patch
-20be1362eac7f19d5ff3c69d0821d165ef7c29202b563c5e638c0f3092b192d8 0002-ntp_sources-decrease-maximum-re-resolving-delay.patch
+756bde2116827b02e4e8f813727cef845a11517b94d97a200351f4ca86150a23 max_resolve_interval.patch
29040502f86c419dbfbc7e2627cc658a8df82b37da21b3d1fce2eed9136d8f99 chronyd.confd
f3a2a5ff9800bfc6a49897c6c8f64d264a75fc2e65cd98e059beaf9e5446fd1b chronyd.initd
d25ce3f5ce4a28184931c68a97340a5b332cbaf071434d172f262122240ad652 chrony.logrotate
43e1bf9c3b0eb95c6330afdc9063f24353086f057d258c00ea711975a86c1194 chrony.conf
ab4f459ee9d1037d7fa962a66ea652b08935539a4f443dc216e82b5717d8bb22 timepps.h"
-sha512sums="0573eea9745089f0b5f257faaf9e601b98fd7d773063c41f3354592830bf5d047f4960e1a9e739ab706e5308ff908c29aead913ab7dbcf8b66543d18b85410bd chrony-1.29.1.tar.gz
+sha512sums="fdc197d47a476da6b04f691804eff9b356cdca3a1dd5fd8827ad8983259cc17f52a221d86441f73d35a2953b71339c02e4e4fa2d7eb4a17e4a976e0ca75908e3 chrony-1.30.tar.gz
5b1d0766eceee000d97dfb20c34f95319ac295729c16e571d7fe382e7d737c7335a1a98b67d89792056f969d4bb9eb7296c343ee4bb16c6a0805606f505d16c5 0001-uclibc-res-do-not-call-res_init.patch
-765687fe59ba0f0f254e2d443defdb451fe6371d13dc62692d86d935d938dc10eb54c24ea70589227cd519153f94ae5171fcf6a0a08a2e7baf7b76be8abd4ac2 0002-ntp_sources-decrease-maximum-re-resolving-delay.patch
+a051129c0ce7b46cd7c989f5694de3a2e91906c8feac4f0d9c7759a50b0d95742f28462a7843e675c6268c0e4838164042d042d1863416c224f1e46878aab8a8 max_resolve_interval.patch
6919c7bddce2a8f81c0f2759c7c58506e97f89102bfeb7b5c19c6da5ed4cbd9070faddd4f3fb411bb4c653fffbdcc93a7f7dc810f38b199f038b1d4072f57640 chronyd.confd
fdf97b2e6790b29ba1979326e553808712ba25b500e6c82346651b27711ba4b2e22f1bba9b26b6740127bd9ccaa25a7b7d27514a00489be5823a8bbf4cef13a8 chronyd.initd
8c2f9b396bde7f0124fdc4bb25fb31d154ae4ec73717401e5dd36a3730cd55ff91e60c70bcafb917883e437993ee245ad56e7a12c3711b482c6df592896a42dc chrony.logrotate